Subject: [PATCH] ARM: exynos_defconfig: disable CONFIG_EXYNOS5420_MCPM; not stable

From: [email-masked] (Kukjin Kim)
Date: Tue, 25 Nov 2014 10:50:53 +0900

Olof Johansson wrote:
> 
> On Mon, Nov 24, 2014 at 5:37 PM, Olof Johansson <[email-masked]> wrote:
> > On Mon, Nov 24, 2014 at 5:35 PM, Kevin Hilman <[email-masked]> wrote:
> >> On Mon, Nov 24, 2014 at 4:25 PM, Olof Johansson <[email-masked]> wrote:
> >>> On Mon, Nov 24, 2014 at 11:51 AM, Kevin Hilman <[email-masked]> wrote:
> >>>> Kukjin,
> >>>>
> >>>> On Mon, Nov 10, 2014 at 11:35 AM, Kevin Hilman <[email-masked]> wrote:
> >>>>> Kukjin Kim <[email-masked]> writes:
> >>>>>
> >>>>>> Kevin Hilman wrote:
> >>>>>>>
> >>>>>>> From: Kevin Hilman <[email-masked]>
> >>>>>>>
> >>>>>>> The option CONFIG_EXYNOS5420_MCPM is causing imprecise external aborts
> >>>>>>> during boot testing, causing various userspace startup failures.
> >>>>>>>
> >>>>>>> Disable until it has gotten more testing.
> >>>>>>>
> >>>>>>> Cc: Kukjin Kim <[email-masked]>,
> >>>>>>> Cc: Javier Martinez Canillas <[email-masked]>,
> >>>>>>> Cc: Sachin Kamat <[email-masked]>,
> >>>>>>> Cc: Doug Anderson <[email-masked]>,
> >>>>>>> Cc: Bartlomiej Zolnierkiewicz <[email-masked]>,
> >>>>>>> Cc: Krzysztof Kozlowski <[email-masked]>,
> >>>>>>> Cc: Tushar Behera <[email-masked]>,
> >>>>>>> Cc: stable at vger.kernel.org # v3.17+
> >>>>>>> Signed-off-by: Kevin Hilman <[email-masked]>
> >>>>>>> ---
> >>>>>>> This has been reported by a few people[1], but not investigated or fixed, so it's
> >>>>>>> time to disable this feature until it can be fixed.
> >>>>>>>
> >>>>>> Hi Kevin,
> >>>>>>
> >>>>>> Yeah I agree with your opinion.
> >>>>>>
> >>>>>> But as you can see my tree, I've queued regarding mcpm patches for 3.19 will
> >>>>>> be shown in -next in this weekend.
> >>>>>
> >>>>> Which of the recently queued patches are expected to address the
> >>>>> imprecise abort issue?  I'd be happy to test them out.
> >>>>
> >>>> Exynos5 MCPM is still broken in linux-next and still causing an imprecise abort.
> >>>>
> >>>> What is the status of $SUBJECT patch?
> >>>>
> >>>>>> Anyway let me apply this into -fixes and
> >>>>>> then let's enable after test its functionality in -next in a couple of days.
> >>>>>
> >>>>> Yes, I think this needs to be applied until these aborts are understood
> >>>>> and fixed.
> >>>>
> >>>> Is anyone at Samsung actually looking into these MCPM issues?
> >>>
> >>> Hi Kevin,
> >>>
> >>> What hardware are you having problems with? 5420 or 5422/5800?
> >>
> >> Yes.  :)
> >>
> >> exynos5420-arndale-octa:
> >> http://storage.armcloud.us/kernel-ci/mainline/v3.18-rc6/arm-exynos_defconfig/boot-exynos5420-
> arndale-octa.html
> >> exynos5422-odroid-xu3:
> >> http://storage.armcloud.us/kernel-ci/mainline/v3.18-rc6/arm-exynos_defconfig/boot-exynos5422-
> odroid-xu3.html
> >>
> >> My boot tests seem to pass fine because I have such a minimal
> >> userspace, but Tyler Baker reported that with a "real" userspace, he
> >> can't boot to a shell:
> >>
> >>   http://lists.infradead.org/pipermail/linux-arm-kernel/2014-September/286203.html
> >
Hmm...his report was in Sep...I think it should be fine with current -next?

To be honest, since I don't have the exynos5420 arndale, chromebook...but smdk
which has different bootloader, I couldn't test it...I'll try to make a test
farm like you guys...

> > I'm not surprised that 5420 has issues, but I have not seen any

Sorry.

> > external aborts on neither Chromebook that I have in my farm.
> >
> > Sounds like the secondary cpus should be disabled on those device
> > trees instead, doesn't it?
> 
> Er, cluster, not cpus.

- Kukjin